
%define upstream_name    Proc-Simple
%define upstream_version 1.26

Name:    perl-%{upstream_name}
Version:  %{upstream_version}
Release: %mkrel 10

Summary: Launch and control background processes
License: Artistic
Group:   Development/Perl
URL:     http://search.cpan.org/dist/%{upstream_name}
Source0: http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
The Proc::Simple package provides objects mimicing real-life processes
from a user's point of view.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%make




%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%exclude %{_mandir}/man3/*
%{perl_vendorlib}/Proc
%{perl_vendorlib}/auto/Proc



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

